Update employee bank account information
Updates employee bank account details. All fields are optional - only provided fields will be updated.
What can be updated:
- IBAN (International Bank Account Number)
- BIC (Bank Identifier Code)
- Bank name
- Account owner name
Note: This endpoint is only available for employee accounts. Bank data is typically used for payroll processing.
POST
/account/employee/bank-dataAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsonbankAccountBICobjectBank BIC code
bankAccountIBANobjectBank IBAN
bankAccountNameobjectBank name
bankAccountOwnerobjectAccount owner name
Responses
200
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Employee not found
Request
curl -X POST "https://leadtime.app/api/public/account/employee/bank-data" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"bankAccountBIC": "DEUTDEFF",
"bankAccountIBAN": "DE89370400440532013000",
"bankAccountName": "Deutsche Bank",
"bankAccountOwner": "John Doe"
}'const response = await fetch("https://leadtime.app/api/public/account/employee/bank-data", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"bankAccountBIC": "DEUTDEFF",
"bankAccountIBAN": "DE89370400440532013000",
"bankAccountName": "Deutsche Bank",
"bankAccountOwner": "John Doe"
})
});import requests
response = requests.post(
"https://leadtime.app/api/public/account/employee/bank-data",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"bankAccountBIC": "DEUTDEFF",
"bankAccountIBAN": "DE89370400440532013000",
"bankAccountName": "Deutsche Bank",
"bankAccountOwner": "John Doe"
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Employee not found